> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cativa.digital/llms.txt
> Use this file to discover all available pages before exploring further.

# [Admin] Atualizar uma segmentação



## OpenAPI

````yaml /openapi/tenant.pt-BR.json put /api/v2/admin/marketing/segmentations/{id}
openapi: 3.0.1
info:
  title: Cativa Tenant API (public)
  version: public
servers:
  - url: https://apis.cativalab.digital/tenant
security: []
paths:
  /api/v2/admin/marketing/segmentations/{id}:
    put:
      tags:
        - Segmentações
      summary: '[Admin] Atualizar uma segmentação'
      operationId: Admin_UpdateSegmentation
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Cativa.Marketing.Segmentation.Application.Requests.Segmentations.Admin.UpdateSegmentation.UpdateSegmentationRequest
        required: true
      responses:
        '200':
          description: OK
      security:
        - Bearer: []
components:
  schemas:
    Cativa.Marketing.Segmentation.Application.Requests.Segmentations.Admin.UpdateSegmentation.UpdateSegmentationRequest:
      type: object
      properties:
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        isActive:
          type: boolean
        groups:
          type: array
          items:
            $ref: >-
              #/components/schemas/Cativa.Marketing.Segmentation.Application.Requests.Segmentations.Admin.UpdateSegmentation.UpdateSegmentationRequest_GroupDto
          nullable: true
        notifications:
          type: array
          items:
            $ref: >-
              #/components/schemas/Cativa.Marketing.Segmentation.Application.Requests.Segmentations.Admin.UpdateSegmentation.UpdateSegmentationRequest_NotificationDto
          nullable: true
      additionalProperties: false
    Cativa.Marketing.Segmentation.Application.Requests.Segmentations.Admin.UpdateSegmentation.UpdateSegmentationRequest_GroupDto:
      type: object
      properties:
        order:
          type: integer
          format: int32
        criteria:
          type: array
          items:
            $ref: >-
              #/components/schemas/Cativa.Marketing.Segmentation.Application.Requests.Segmentations.Admin.UpdateSegmentation.UpdateSegmentationRequest_CriteriaDto
          nullable: true
      additionalProperties: false
    Cativa.Marketing.Segmentation.Application.Requests.Segmentations.Admin.UpdateSegmentation.UpdateSegmentationRequest_NotificationDto:
      type: object
      properties:
        id:
          type: string
          format: uuid
          nullable: true
        recipientUserId:
          type: string
          format: uuid
        notifyByEmail:
          type: boolean
        notifyByPush:
          type: boolean
      additionalProperties: false
    Cativa.Marketing.Segmentation.Application.Requests.Segmentations.Admin.UpdateSegmentation.UpdateSegmentationRequest_CriteriaDto:
      type: object
      properties:
        order:
          type: integer
          format: int32
        criteriaType:
          $ref: >-
            #/components/schemas/Cativa.Marketing.Segmentation.Domain.Enums.ESegmentationCriteriaType
        operator:
          $ref: >-
            #/components/schemas/Cativa.Marketing.Segmentation.Domain.Enums.ESegmentationOperator
        value:
          type: string
          nullable: true
        referenceId:
          type: string
          format: uuid
          nullable: true
        temporalDays:
          type: integer
          format: int32
          nullable: true
      additionalProperties: false
    Cativa.Marketing.Segmentation.Domain.Enums.ESegmentationCriteriaType:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
        - 13
        - 14
        - 15
        - 16
        - 17
      type: integer
      format: int32
    Cativa.Marketing.Segmentation.Domain.Enums.ESegmentationOperator:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer
        <token>.
      scheme: bearer
      bearerFormat: JWT

````